function [] = show_region_pts(R, shape, regs)

figure;
show_layers(R);
axis image;
hold on;

for i=2:length(regs)
   r = regs{i};
   plot(shape(r.edge,2), shape(r.edge,1), 'wo');
   plot(r.vertex(:,1), r.vertex(:,2), 'rd');
    
end